CREATE TABLE hrt_channel_setup_b (
    CHANNEL_ID                      NUMBER(18, 0) ,
    BUSINESS_GROUP_ID               NUMBER(18, 0) ,
    EMAIL_ID                        VARCHAR2(960)     NOT NULL,
    CODE                            VARCHAR2(960)     NOT NULL,
    TYPE                            VARCHAR2(960)     NOT NULL,
    DEPENDENT_CHANNEL_ID            NUMBER(18, 0) ,
    ENABLED                         VARCHAR2(120)     NOT NULL,
    PAGENAME                        VARCHAR2(4000),
    INCOMING_SERVER_PROTOCOL        VARCHAR2(120) ,
    INCOMING_SERVER_HOST            VARCHAR2(4000),
    INCOMING_SERVER_PORT            NUMBER(18, 0) ,
    INCOMING_SERVER_AUTH_TYPE       VARCHAR2(120) ,
    INCOMING_SERVER_AUTH_KEY        VARCHAR2(4000),
    INCOMING_SERVER_AUTH_VALUE      CLOB          ,
    INCOMING_SERVER_BEARER_TOKEN    CLOB          ,
    INCOMING_SERVER_SSL             VARCHAR2(120) ,
    OUTGOING_SERVER_PROTOCOL        VARCHAR2(120) ,
    OUTGOING_SERVER_HOST            VARCHAR2(4000),
    OUTGOING_SERVER_PORT            NUMBER(18, 0) ,
    OUTGOING_SERVER_AUTH_TYPE       VARCHAR2(120) ,
    OUTGOING_SERVER_AUTH_KEY        VARCHAR2(4000),
    OUTGOING_SERVER_AUTH_VALUE      CLOB          ,
    OUTGOING_SERVER_BEARER_TOKEN    CLOB          ,
    RECEIVE_FOLDER                  VARCHAR2(4000),
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)      NOT NULL,
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    CHANNEL_ID                      NUMBER(18, 0) ,
    BUSINESS_GROUP_ID               NUMBER(18, 0) ,
    EMAIL_ID                        VARCHAR2(960)     NOT NULL,
    CODE                            VARCHAR2(960)     NOT NULL,
    TYPE                            VARCHAR2(960)     NOT NULL,
    DEPENDENT_CHANNEL_ID            NUMBER(18, 0) ,
    ENABLED                         VARCHAR2(120)     NOT NULL,
    PAGENAME                        VARCHAR2(4000),
    INCOMING_SERVER_PROTOCOL        VARCHAR2(120) ,
    INCOMING_SERVER_HOST            VARCHAR2(4000),
    INCOMING_SERVER_PORT            NUMBER(18, 0) ,
    INCOMING_SERVER_AUTH_TYPE       VARCHAR2(120) ,
    INCOMING_SERVER_AUTH_KEY        VARCHAR2(4000),
    INCOMING_SERVER_AUTH_VALUE      CLOB          ,
    INCOMING_SERVER_BEARER_TOKEN    CLOB          ,
    INCOMING_SERVER_SSL             VARCHAR2(120) ,
    OUTGOING_SERVER_PROTOCOL        VARCHAR2(120) ,
    OUTGOING_SERVER_HOST            VARCHAR2(4000),
    OUTGOING_SERVER_PORT            NUMBER(18, 0) ,
    OUTGOING_SERVER_AUTH_TYPE       VARCHAR2(120) ,
    OUTGOING_SERVER_AUTH_KEY        VARCHAR2(4000),
    OUTGOING_SERVER_AUTH_VALUE      CLOB          ,
    OUTGOING_SERVER_BEARER_TOKEN    CLOB          ,
    RECEIVE_FOLDER                  VARCHAR2(4000),
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)      NOT NULL,
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    CONSTRAINT pk_hrt_channel_setup_b PRIMARY KEY (CHANNEL_ID, BUSINESS_GROUP_ID, CHANNEL_ID, BUSINESS_GROUP_ID)
);
